Subject: Re: [PATCH 04/10] dt-bindings: spi: Add bindings for spi-dw-mchp

From: Lars Povlsen <[email-masked]>
Date: Tue, 19 May 2020 14:10:01 +0200

On 19/05/20 12:58, Mark Brown wrote:
> Date: Tue, 19 May 2020 12:58:29 +0100
> From: Mark Brown <[email-masked]>
> To: Lars Povlsen <[email-masked]>
> Cc: SoC Team <[email-masked]>, Rob Herring <[email-masked]>, Microchip
>  Linux Driver Support <[email-masked]>,
>  [email-masked], [email-masked],
>  [email-masked], [email-masked],
>  Alexandre Belloni <[email-masked]>, Serge Semin
>  <[email-masked]>, Serge Semin
>  <[email-masked]>, Andy Shevchenko
>  <[email-masked]>, Wan Ahmad Zainie
>  <[email-masked]>
> Subject: Re: [PATCH 04/10] dt-bindings: spi: Add bindings for spi-dw-mchp
> User-Agent: Mutt/1.10.1 (2018-07-13)
> 
> On Tue, May 19, 2020 at 01:47:39PM +0200, Lars Povlsen wrote:
> > On 13/05/20 15:52, Mark Brown wrote:
> 
> > > On Wed, May 13, 2020 at 04:00:25PM +0200, Lars Povlsen wrote:
> > > > This add DT bindings for the Microsemi/Microchip SPI controller used
> > > > in various SoC's. It describes the "mscc,ocelot-spi" and
> > > > "mscc,jaguar2-spi" bindings.
> 
> > > That's not what this change does.  It is removing the existing binding
> > > for Ocelot and Jaguar2 from the free format binding documentation and
> 
> > The reason for doing this was due to the fact that I felt adding
> > Sparx5 support only cluttered the original driver even more.
> 
> That's not the issue I'm pointing out there.  The issue is that your
> changelog claims that the change does one thing and the change itself
> does something substantially different.

Ok, got it. I'll reword the changelog to be more precise.

Thanks again,

---Lars

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel